<!-- Plugin Configuration File. Read more: https://plugins.jetbrains.com/docs/intellij/plugin-configuration-file.html -->
<idea-plugin>
  <!-- Unique identifier of the plugin. It should be FQN. It cannot be changed between the plugin versions. -->
  <id>pl.polgrabia.demos.intellij.intellij_plugin_demo1</id>

  <!-- Public plugin name should be written in Title Case.
       Guidelines: https://plugins.jetbrains.com/docs/marketplace/plugin-overview-page.html#plugin-name -->
  <name>Intellij_plugin_demo1</name>

  <!-- A displayed Vendor name or Organization ID displayed on the Plugins Page. -->
  <vendor email="support@yourcompany.com" url="https://www.yourcompany.com">YourCompany</vendor>

  <!-- Description of the plugin displayed on the Plugin Page and IDE Plugin Manager.
       Simple HTML elements (text formatting, paragraphs, and lists) can be added inside of <![CDATA[ ]]> tag.
       Guidelines: https://plugins.jetbrains.com/docs/marketplace/plugin-overview-page.html#plugin-description -->
  <description><![CDATA[
    Enter short description for your plugin here.<br>
    <em>most HTML tags may be used</em>
  ]]></description>

  <!-- Product and plugin compatibility requirements.
       Read more: https://plugins.jetbrains.com/docs/intellij/plugin-compatibility.html -->
  <depends>com.intellij.modules.platform</depends>

  <!-- Extension points defined by the plugin.
       Read more: https://plugins.jetbrains.com/docs/intellij/plugin-extension-points.html -->
  <extensions defaultExtensionNs="com.intellij">
    <notificationGroup id="Custom Notification Group"
                       displayType="BALLOON"
                       key="messages.notification.group.name"/>
  </extensions>
  <actions>
    <action id="pl.polgrabia.demos.intellij_plugin_demo1.actions.HelloAction"
            class="pl.polgrabia.demos.intellij_plugin_demo1.actions.HelloAction"
            text="Hello Action"
            description="Hello action">
      <override-text place="MainMenu" text="Hello Action"/>
      <add-to-group group-id="ToolsMenu.Services" anchor="first"/>
    </action>
  </actions>
</idea-plugin>